<template>
  <section class="b-role-details">
    <Title v-if="data.role_details_title" :text="data.role_details_title" />

    <div v-if="data.role_description && data.role_description.length">
      <article
        v-for="(block, index) in data.role_description"
        class="b-role-details__block"
        :key="index"
      >
        <Title :text="block.role_description_section_title" type="secondary" />
        <Paragraph
          v-for="(p, pIndex) in block.role_description"
          :text="p.role_description_text"
          :key="pIndex"
        />
      </article>
    </div>

    <article v-if="deadline" class="b-role-details__block">
      <Title :text="data.application_deadline_title" type="secondary" />
      <Paragraph :text="data.application_deadline_description"
        ><strong>{{ deadline }}</strong></Paragraph
      >
    </article>
  </section>
</template>

<script>
import Title from "@/components/ui/Title";
import Paragraph from "../ui/Paragraph";
export default {
  name: "RoleDetails",
  components: { Paragraph, Title },
  data: function() {
    return {
      data: this.$store.state.data.data.role_details,
      deadline: this.$store.state.data.data.page_expiry_date
    };
  }
};
</script>

<style lang="scss">
.b-role-details {
  .c-title--secondary {
    margin-bottom: 1.5rem;
  }
  &__block {
    margin-bottom: 4rem;
    &:last-of-type {
      margin-bottom: 0;
    }
  }
}
</style>
